# Interface ICoreHelpers

## Index

### Properties

- anchor
- currency
- date
- dateTime
- email
- emailDateTime
- encodeCarriageReturn
- fromFileTypeToIcon
- highlight
- highlightStreamHTML
- highlightStreamText
- image
- isMobileDevice
- loadTemplate
- number
- shorten
- shortenPath
- shortenUri
- size
- thumbnail
- time
- timeSpan
- translatedCaption

## Properties

### anchor

anchor: function

- Defined in ui/Templates/CoreHelpers.ts :219

#### Type declaration

- - (href: string, options?: IAnchorUtilsOptions): string

  - #### Parameters

    - ##### href: string

    - ##### Optional options: IAnchorUtilsOptions

    #### Returns string

### currency

currency: function

- Defined in ui/Templates/CoreHelpers.ts :179

#### Type declaration

- - (content: any, options?: ICurrencyToStringOptions): string

  - #### Parameters

    - ##### content: any

    - ##### Optional options: ICurrencyToStringOptions

    #### Returns string

### date

date: function

- Defined in ui/Templates/CoreHelpers.ts :157

#### Type declaration

- - (content: any, options?: IDateToStringOptions): string

  - #### Parameters

    - ##### content: any

    - ##### Optional options: IDateToStringOptions

    #### Returns string

### dateTime

dateTime: function

- Defined in ui/Templates/CoreHelpers.ts :172

#### Type declaration

- - (content: any, options?: IDateToStringOptions): string

  - #### Parameters

    - ##### content: any

    - ##### Optional options: IDateToStringOptions

    #### Returns string

### email

email: function

- Defined in ui/Templates/CoreHelpers.ts :212

#### Type declaration

- - (value: string | string[], companyDomain?: string, me?: string, lengthLimit?: number, truncateName?: boolean): string

  - #### Parameters

    - ##### value: string | string[]

    - ##### Optional companyDomain: string

    - ##### Optional me: string

    - ##### Optional lengthLimit: number

    - ##### Optional truncateName: boolean

    #### Returns string

### emailDateTime

emailDateTime: function

- Defined in ui/Templates/CoreHelpers.ts :187

#### Type declaration

- - (content: any, options?: IDateToStringOptions): string

  - #### Parameters

    - ##### content: any

    - ##### Optional options: IDateToStringOptions

    #### Returns string

### encodeCarriageReturn

encodeCarriageReturn: function

- Defined in ui/Templates/CoreHelpers.ts :333

#### Type declaration

- - (value: string): string

  - #### Parameters

    - ##### value: string

    #### Returns string

### fromFileTypeToIcon

fromFileTypeToIcon: function

- Defined in ui/Templates/CoreHelpers.ts :254

#### Type declaration

- - (result?: IQueryResult, options?: any): string

  - #### Parameters

    - ##### Optional result: IQueryResult

    - ##### Optional options: any

    #### Returns string

### highlight

highlight: function

- Defined in ui/Templates/CoreHelpers.ts :87

#### Type declaration

- - (content: string, highlights?: IHighlight[], cssClass?: string): string

  - #### Parameters

    - ##### content: string

    - ##### Optional highlights: IHighlight[]

    - ##### Optional cssClass: string

    #### Returns string

### highlightStreamHTML

highlightStreamHTML: function

- Defined in ui/Templates/CoreHelpers.ts :130

#### Type declaration

- - (content: string, termsToHighlight: IHighlightTerm, phrasesToHighlight: IHighlightPhrase, options?: IStreamHighlightOptions): string

  - #### Parameters

    - ##### content: string

    - ##### termsToHighlight: IHighlightTerm

    - ##### phrasesToHighlight: IHighlightPhrase

    - ##### Optional options: IStreamHighlightOptions

    #### Returns string

### highlightStreamText

highlightStreamText: function

- Defined in ui/Templates/CoreHelpers.ts :107

#### Type declaration

- - (content: string, termsToHighlight: IHighlightTerm, phrasesToHighlight: IHighlightPhrase, options?: IStreamHighlightOptions): string

  - #### Parameters

    - ##### content: string

    - ##### termsToHighlight: IHighlightTerm

    - ##### phrasesToHighlight: IHighlightPhrase

    - ##### Optional options: IStreamHighlightOptions

    #### Returns string

### image

image: function

- Defined in ui/Templates/CoreHelpers.ts :226

#### Type declaration

- - (src: string, options?: IImageUtilsOptions): string

  - #### Parameters

    - ##### src: string

    - ##### Optional options: IImageUtilsOptions

    #### Returns string

### isMobileDevice

isMobileDevice: function

- Defined in ui/Templates/CoreHelpers.ts :341

#### Type declaration

- - (): string

  - #### Returns string

### loadTemplate

loadTemplate: function

- Defined in ui/Templates/CoreHelpers.ts :271

#### Type declaration

- - (templateId: string, condition?: boolean, contextObject?: any): string

  - #### Parameters

    - ##### templateId: string

    - ##### Optional condition: boolean

    - ##### Optional contextObject: any

    #### Returns string

### number

number: function

- Defined in ui/Templates/CoreHelpers.ts :150

#### Type declaration

- - (content: string, format: string | INumberFormatOptions): string

  - #### Parameters

    - ##### content: string

    - ##### format: string | INumberFormatOptions

    #### Returns string

### shorten

shorten: function

- Defined in ui/Templates/CoreHelpers.ts :55

#### Type declaration

- - (content: string, length: number, highlights?: IHighlight[], cssClass?: string): string

  - #### Parameters

    - ##### content: string

    - ##### length: number

    - ##### Optional highlights: IHighlight[]

    - ##### Optional cssClass: string

    #### Returns string

### shortenPath

shortenPath: function

- Defined in ui/Templates/CoreHelpers.ts :67

#### Type declaration

- - (content: string, length: number, highlights?: IHighlight[], cssClass?: string): string

  - #### Parameters

    - ##### content: string

    - ##### length: number

    - ##### Optional highlights: IHighlight[]

    - ##### Optional cssClass: string

    #### Returns string

### shortenUri

shortenUri: function

- Defined in ui/Templates/CoreHelpers.ts :79

#### Type declaration

- - (content: string, length: number, highlights?: IHighlight[], cssClass?: string): string

  - #### Parameters

    - ##### content: string

    - ##### length: number

    - ##### Optional highlights: IHighlight[]

    - ##### Optional cssClass: string

    #### Returns string

### size

size: function

- Defined in ui/Templates/CoreHelpers.ts :313

#### Type declaration

- - (value: number, options?: ISizeOptions): string

  - #### Parameters

    - ##### value: number

    - ##### Optional options: ISizeOptions

    #### Returns string

### thumbnail

thumbnail: function

- Defined in ui/Templates/CoreHelpers.ts :241

#### Type declaration

- - (result?: IQueryResult, endpoint?: string, options?: IImageUtilsOptions): string

  - #### Parameters

    - ##### Optional result: IQueryResult

    - ##### Optional endpoint: string

    - ##### Optional options: IImageUtilsOptions

    #### Returns string

### time

time: function

- Defined in ui/Templates/CoreHelpers.ts :164

#### Type declaration

- - (content: any, options?: IDateToStringOptions): string

  - #### Parameters

    - ##### content: any

    - ##### Optional options: IDateToStringOptions

    #### Returns string

### timeSpan

timeSpan: function

- Defined in ui/Templates/CoreHelpers.ts :284

#### Type declaration

- - (value: number, options: ITimeSpanUtilsOptions): string

  - #### Parameters

    - ##### value: number

    - ##### options: ITimeSpanUtilsOptions

    #### Returns string

### translatedCaption

translatedCaption: function

- Defined in ui/Templates/CoreHelpers.ts :327

#### Type declaration

- - (value: string): string

  - #### Parameters

    - ##### value: string

    #### Returns string

### Hierarchy

- ICoreHelpers